    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.awt.Menu

    java.lang.Object
       |
       +----java.awt.MenuComponent
               |
               +----java.awt.MenuItem
                       |
                       +----java.awt.Menu

public class Menu
extends MenuItem
implements MenuContainer

A `Menu` object is a pull-down menu component that is deployed from a menu bar.

A menu can optionally be a tear-off menu. A tear-off menu can be opened and dragged away from its parent menu bar or menu. It remains on the screen after the mouse button has been released. The mechanism for tearing off a menu is platform dependent, since the look and feel of the tear-off menu is determined by its peer. On platforms that do not support tear-off menus, the tear-off property is ignored.

Each item in a menu must belong to the `MenuItem` class. It can be an instance of `MenuItem`, a submenu (an instance of `Menu`), or a check box (an instance of `CheckboxMenuItem`).

See Also:
  MenuItem, CheckboxMenuItem

##

Menu()
  Constructs a new menu with an empty label.
Menu(String)
  Constructs a new menu with the specified label.
Menu(String, boolean)
  Constructs a new menu with the specified label.

##

add(MenuItem)
  Adds the specified menu item to this menu.
add(String)
  Adds an item with the specified label to this menu.
addNotify()
  Creates the menu's peer.
addSeparator()
  Adds a separator line, or a hypen, to the menu at the current position.
countItems()
  Deprecated.
getItem(int)
  Gets the item located at the specified index of this menu.
getItemCount()
  Get the number of items in this menu.
insert(MenuItem, int)
  Inserts a menu item into this menu at the specified position.
insert(String, int)
  Inserts a menu item with the specified label into this menu at the specified position.
insertSeparator(int)
  Inserts a separator at the specified position.
isTearOff()
  Indicates whether this menu is a tear-off menu.
paramString()
  Gets the parameter string representing the state of this menu.
remove(int)
  Removes the menu item at the specified index from this menu.
remove(MenuComponent)
  Removes the specified menu item from this menu.
removeAll()
  Removes all items from this menu.
removeNotify()
  Removes the menu's peer.

##

Menu

     public Menu()

  Constructs a new menu with an empty label. This menu is not a tear-off menu.

Menu

     public Menu(String label)

  Constructs a new menu with the specified label. This menu is not a tear-off menu.

  Parameters:
    label - the menu's label in the menu bar, or in another menu of which this menu is a submenu.

Menu

     public Menu(String label,
                 boolean tearOff)

  Constructs a new menu with the specified label. If the value of `tearOff` is `true`, the menu can be torn off.

  Tear-off functionality may not be supported by all implementations of AWT. If a particular implementation doesn't support tear-off menus, this value is silently ignored.

  Parameters:
    label - the menu's label in the menu bar, or in another menu of which this menu is a submenu.
    tearOff - if `true`, the menu is a tear-off menu.

##

addNotify

     public void addNotify()

  Creates the menu's peer. The peer allows us to modify the appearance of the menu without changing its functionality.

  Overrides:
    addNotify in class MenuItem

removeNotify

     public void removeNotify()

  Removes the menu's peer. The peer allows us to modify the appearance of the menu without changing its functionality.

  Overrides:
    removeNotify in class MenuComponent

isTearOff

     public boolean isTearOff()

  Indicates whether this menu is a tear-off menu.

  Tear-off functionality may not be supported by all implementations of AWT. If a particular implementation doesn't support tear-off menus, this value is silently ignored.

  Returns:
    `true` if this is a tear-off menu; `false` otherwise.

getItemCount

     public int getItemCount()

  Get the number of items in this menu.

  Returns:
    the number of items in this menu.

countItems

     public int countItems()

  Note: countItems() is deprecated. As of JDK version 1.1, replaced by `getItemCount()`.

getItem

     public MenuItem getItem(int index)

  Gets the item located at the specified index of this menu.

  Parameters:
    index - the position of the item to be returned.
  Returns:
    the item located at the specified index.

add

     public MenuItem add(MenuItem mi)

  Adds the specified menu item to this menu. If the menu item has been part of another menu, remove it from that menu.

  Parameters:
    mi - the menu item to be added.
  Returns:
    the menu item added.
  See Also:
    insert, insert

add

     public void add(String label)

  Adds an item with the specified label to this menu.

  Parameters:
    label - the text on the item.
  See Also:
    insert, insert

insert

     public void insert(MenuItem menuitem,
                        int index)

  Inserts a menu item into this menu at the specified position.

  Parameters:
    menuitem - the menu item to be inserted.
    index - the position at which the menu item should be inserted.
  Throws: IllegalArgumentException
    if the value of `index` is less than zero.
  See Also:
    add, add

insert

     public void insert(String label,
                        int index)

  Inserts a menu item with the specified label into this menu at the specified position.

  Parameters:
    label - the text on the item.
    index - the position at which the menu item should be inserted.
  See Also:
    add, add

addSeparator

     public void addSeparator()

  Adds a separator line, or a hypen, to the menu at the current position.

  See Also:
    insertSeparator

insertSeparator

     public void insertSeparator(int index)

  Inserts a separator at the specified position.

  Parameters:
    index - the position at which the menu separator should be inserted.
  Throws: IllegalArgumentException
    if the value of `index` is less than 0.
  See Also:
    addSeparator

remove

     public void remove(int index)

  Removes the menu item at the specified index from this menu.

  Parameters:
    index - the position of the item to be removed.

remove

     public void remove(MenuComponent item)

  Removes the specified menu item from this menu.

  Parameters:
    item - the item to be removed from the menu

removeAll

     public void removeAll()

  Removes all items from this menu.

paramString

     public String paramString()

  Gets the parameter string representing the state of this menu. This string is useful for debugging.

  Overrides:
    paramString in class MenuItem

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.